Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1191)
+++ /trunk/libIGCM/AA_additionnal	(revision 1192)
@@ -80,4 +80,8 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}/ATLAS_ADD_${YEARS}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -91,8 +95,4 @@
 R_ATLAS=ATLAS/SE_${YEARS}
 R_OUT_OCE=${R_SAVE}/OCE
-
-RUN_DIR=${RUN_DIR_PATH}/ATLAS_ADD_${YEARS}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1191)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1192)
@@ -80,4 +80,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -87,7 +90,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1191)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1192)
@@ -80,4 +80,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -87,7 +90,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1191)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1192)
@@ -80,4 +80,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -87,7 +90,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1191)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1192)
@@ -80,4 +80,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -87,7 +90,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1191)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1192)
@@ -126,4 +126,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -133,7 +136,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1191)
+++ /trunk/libIGCM/AA_create_se	(revision 1192)
@@ -133,4 +133,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -140,7 +143,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1191)
+++ /trunk/libIGCM/AA_create_ts	(revision 1192)
@@ -145,4 +145,7 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -160,7 +163,4 @@
 
 ########################################################################
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1191)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1192)
@@ -81,4 +81,7 @@
 . ${libIGCM}/libIGCM_comp/libIGCM_comp.ksh
 #-------
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -88,7 +91,4 @@
 
 #set -vx
-
-IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-IGCM_sys_Cd ${RUN_DIR_PATH}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1191)
+++ /trunk/libIGCM/AA_monitoring	(revision 1192)
@@ -126,4 +126,8 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -133,9 +137,4 @@
 
 #set -vx
-
-#===========================================
-RUN_DIR=${RUN_DIR_PATH}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1191)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1192)
@@ -144,4 +144,8 @@
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -151,8 +155,4 @@
 
 #set -vx
-
-RUN_DIR=${RUN_DIR_PATH}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1191)
+++ /trunk/libIGCM/AA_pack_output	(revision 1192)
@@ -121,4 +121,8 @@
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -128,8 +132,4 @@
 
 #set -vx
-
-RUN_DIR=${RUN_DIR_PATH}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1191)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1192)
@@ -144,4 +144,8 @@
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -151,8 +155,4 @@
 
 #set -vx
-
-RUN_DIR=${RUN_DIR_PATH}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1191)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1192)
@@ -155,4 +155,8 @@
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
 #-------
+RUN_DIR=${RUN_DIR_PATH}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
+#-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
 ( ${DEBUG_debug} ) && IGCM_card_Check
@@ -162,8 +166,4 @@
 
 #set -vx
-
-RUN_DIR=${RUN_DIR_PATH}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
 
 # ------------------------------------------------------------------