Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1271)
+++ /trunk/libIGCM/AA_additionnal	(revision 1272)
@@ -143,5 +143,5 @@
 IGCM_sys_Get ${R_OUT_OCE}/Analyse/SE/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_W.nc ${RUN_DIR}/SE_grid_W.nc
 
-atlas -o ${RUN_DIR}/${R_ATLAS}/ADD -p landscape=true,angle=-90,nup=1x1 ${FER_ATLAS}/atlas_p_ORCA2_add_*.cfg ${config_UserChoices_JobName}
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ADD -p landscape=true,angle=-90,nup=1x1 ${FER_ATLAS}/atlas_p_ORCA2_add_*.cfg ${config_UserChoices_JobName}
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1271)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1272)
@@ -145,5 +145,5 @@
 [ ${DetectLev} = 1 ] && LMDZ=LMDZ4 || LMDZ=LMDZ3.3
 #
-atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${FER_ATLAS}/atlas_p_${LMDZ}_diag1_*.cfg ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${FER_ATLAS}/atlas_p_${LMDZ}_diag1_*.cfg ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1271)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1272)
@@ -146,10 +146,10 @@
 IGCM_sys_Get ${R_OUT_ICE}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc  ${RUN_DIR}
 
-atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_T -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag1_[abc].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
-atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_U -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_U.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_U.nc
-atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_V -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_V.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_V.nc
-#atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_W -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_W.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_W.nc
-atlas -o ${RUN_DIR}/${R_ATLAS}/OCE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_[defg].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
-atlas -o ${RUN_DIR}/${R_ATLAS}/ICE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}LIM_diag0_[abc].cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_T -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag1_[abc].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_U -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_U.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_U.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_V -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_V.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_V.nc
+#IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_W -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_W.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_W.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_[defg].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ICE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}LIM_diag0_[abc].cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1271)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1272)
@@ -140,5 +140,5 @@
 IGCM_sys_Get ${R_OUT_SRF}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc ${RUN_DIR}
 
-atlas -o ${RUN_DIR}/${R_ATLAS}/SRF -l ${FER_ATLAS}/atlas_p_ORCHIDEE_diag1_*.cfg \
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/SRF -l ${FER_ATLAS}/atlas_p_ORCHIDEE_diag1_*.cfg \
                                        ${FER_ATLAS}/atlas_p_SECHIBA_diag1_*.cfg \
                                        ${FER_ATLAS}/atlas_p_ORCHIDEE_diag2_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1271)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1272)
@@ -141,7 +141,7 @@
 IGCM_sys_Get ${R_OUT_MBG}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_diad_T.nc  ${RUN_DIR}
 
-atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_T -l ${FER_ATLAS}/atlas_p_PISCES_diag1_*.cfg  \
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_T -l ${FER_ATLAS}/atlas_p_PISCES_diag1_*.cfg  \
                                         ${FER_ATLAS}/atlas_p_PISCES_diag0_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_ptrc_T.nc
-atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_F -l ${FER_ATLAS}/atlas_p_PISCES_diag2_a.cfg  \
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_F -l ${FER_ATLAS}/atlas_p_PISCES_diag2_a.cfg  \
                                         ${FER_ATLAS}/atlas_p_PISCES_diag0_b.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_diad_T.nc
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1271)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1272)
@@ -1256,2 +1256,32 @@
   IGCM_debug_PopStack "IGCM_sys_ListJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1271)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1272)
@@ -1216,2 +1216,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1271)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1272)
@@ -1640,2 +1640,32 @@
   IGCM_debug_PopStack "IGCM_sys_ListJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \ccc_mprun atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1271)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1272)
@@ -1153,2 +1153,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1271)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1272)
@@ -1190,2 +1190,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+