Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 1273)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200         # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1273)
+++ /trunk/libIGCM/AA_additionnal	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1273)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1273)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1273)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1273)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1273)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1273)
+++ /trunk/libIGCM/AA_create_se	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1273)
+++ /trunk/libIGCM/AA_create_ts	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 80000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1273)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 14400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_metrics_NEMO
===================================================================
--- /trunk/libIGCM/AA_metrics_NEMO	(revision 1273)
+++ /trunk/libIGCM/AA_metrics_NEMO	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 14400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_metrics_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1273)
+++ /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1274)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1273)
+++ /trunk/libIGCM/AA_monitoring	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 14400          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1273)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 3600          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1273)
+++ /trunk/libIGCM/AA_pack_output	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1273)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1274)
@@ -7,4 +7,5 @@
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q ::default_node::
+#-Q- curie #MSUB -c ::default_core::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/ins_job
===================================================================
--- /trunk/libIGCM/ins_job	(revision 1273)
+++ /trunk/libIGCM/ins_job	(revision 1274)
@@ -24,11 +24,16 @@
 
 Usage :
-  ${b_n} [-h] [-v] [-e] [-p project]
+  ${b_n} [-h] [-v] [-e] 
+  or on curie/TGCC :
+  ${b_n} [-h] [-v] [-e] [-p project] [-q type_of_node] [-c number of cores]
 
 Options :
-  -h          : help
-  -v          : verbose mode
-  -e          : turn on ensemble mode (hindcast/forecast or date restart)
-  -p project  : add default project on curie
+  -h                  : help
+  -v                  : verbose mode
+  -e                  : turn on ensemble mode (hindcast/forecast or date restart)
+on curie only : 
+  -p project          : add default project on curie
+  -q type_of_node     : add default type of nodes for postprocessing on curie standard/xlarge
+  -c number of cores  : add default number of cores for postprocessing on curie 1-16 or 1-128
 "
 }
@@ -70,5 +75,7 @@
 x_e=false;
 x_p=false;
-while getopts :hvep: V ; do
+x_q=false;
+x_c=false;
+while getopts :hvec:p:q: V ; do
   case $V in
   (h)  ins_job_Usage; exit 0;;
@@ -77,4 +84,8 @@
   (p)  x_p=true
        ProjectID=${OPTARG} ;;
+  (q)  x_q=true
+       ProjectNode=${OPTARG} ;;
+  (c)  x_c=true
+       ProjectCore=${OPTARG} ;;
   (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
        exit 2;;
@@ -136,10 +147,12 @@
 
 #-
-# Define Project ID to set up jobs header for Curie (TGCC)
-#-
-if ( ! ${x_p} ) ; then
-  if [ X"${SYSTEM}" == "Xcurie" ] ; then
+# Define Project parameters to set up jobs header for Curie (TGCC)
+# on curie define ProjectID, ProjectNode and ProjectCore : option or answer
+#-
+
+if [ X"${SYSTEM}" == "Xcurie" ] ; then
+  if ( ! ${x_p} ) ; then
     ProjectID=$( ccc_myproject | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | head -n 1 )
-    ProjectID=${ProjectID:="gen2211"}
+    ProjectID=${ProjectID:="gencmip6"}
     answer=""
     print - "Hit Enter or give project ID (default is ${ProjectID}), possible projects are $( echo $( ccc_myproject | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u ) ) :"
@@ -149,11 +162,52 @@
       ProjectID=${answer}
     fi
+  fi # if ( ! ${x_p} )
+  echo  ProjectID is ${ProjectID}
+
+  if ( ! ${x_q} ) ; then
+    #- ProjectID is known (option or answer), set ProjectNode
     [ "${ProjectID}" = "gencmip6" ] && ProjectNode="standard" || ProjectNode="xlarge"
-  fi
+    answerOK=false
+
+    while ( ! ${answerOK} ) ; do
+      answer=""
+      print - "Hit Enter or give TYPE OF NODE required for post-processing (default is \"${ProjectNode}\"), possible types of nodes are \"standard\" or \"xlarge\" : "
+      read answer
+      [ "X${answer}" == "X" ] || [ "X${answer}" == "Xstandard" ] || [ "X${answer}" == "Xxlarge" ] && answerOK=true
+    done
+
+    if [ "X${answer}" != "X" ] ; then
+      ProjectNode=${answer}
+    fi
+
+  fi # if ( ! ${x_q} )
+  echo ProjectNode is ${ProjectNode}
+
+  #- ProjectNode is known (option or answer) set ProjectCoreMax
+  [ "${ProjectNode}" = "xlarge" ] && ProjectCoreMax="128" || ProjectCoreMax="16"
+
+  if ( ! ${x_c} ) ; then
+    #- ProjectNode is known (option or answer), set ProjectCore
+    [ "${ProjectNode}" = "xlarge" ] && ProjectCore="8" || ProjectCore="4"
+    answerOK=false
+
+    while ( ! ${answerOK} ) ; do
+      answer=""
+      print - "Hit Enter or give NUMBER OF CORES required for post-processing (default is \"${ProjectCore}\"), possible numbers of cores are \"1\" to \"${ProjectCoreMax}\" : "
+      read answer
+      [ "X${answer}" == "X" ] || [ ${answer} -ge 1 -a ${answer} -le ${ProjectCoreMax} ] && answerOK=true
+    done
+
+    if [ "X${answer}" != "X" ] ; then
+      ProjectCore=${answer}
+    fi
+  fi # if ( ! ${x_c} )
+  echo ProjectCore is ${ProjectCore}
+#- ProjectCore is set (option or answer)
+# let check minimum/maximum value 1/${ProjectCoreMax}
+
 else
-  if [ X"${SYSTEM}" != "Xcurie" ] ; then
-    print - "\nOption -p invalid with this host (${SYSTEM}): it will be ignored" 1>&2;
-  fi
-fi
+  echo No option for Header regarding ProjectID, ProjectNode and ProjectCore because we are not on curie
+fi # if [ X"${SYSTEM}" == "Xcurie" ]
 
 #-
@@ -326,4 +380,5 @@
       -e "/^${W_P}/d"       \
       -e "s/::default_node::/${ProjectNode}/" \
+      -e "s/::default_core::/${ProjectCore}/" \
       -e "s/::default_project::/${ProjectID}/" \
       ${i} > ${j}'/'${n_f}