Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1278)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1279)
@@ -143,8 +143,10 @@
 # Only LMDZ4 output have Alt variables
 DetectLev=$( ncdump -h ${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc | grep "Alt(Alt)" | wc -l )
-#
 [ ${DetectLev} = 1 ] && LMDZ=LMDZ4 || LMDZ=LMDZ3.3
-#
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${FER_ATLAS}/atlas_p_${LMDZ}_diag1_*.cfg ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
+
+# Which atlas configuration source are we using?
+ls ${CARD_DIR}/POST/atlas_p_${LMDZ}_diag1_*.cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${PATH_ATLAS}/atlas_p_${LMDZ}_diag1_*.cfg ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1278)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1279)
@@ -147,10 +147,30 @@
 IGCM_sys_Get ${R_OUT_ICE}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc  ${RUN_DIR}
 
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_T -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag1_[abc].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_U -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_U.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_U.nc
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_V -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_V.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_V.nc
-#IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_W -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_W.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_W.nc
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}_diag0_[defg].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ICE   -l ${FER_ATLAS}/atlas_p_${RESOL_OCE}LIM_diag0_[abc].cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc
+
+# Which atlas configuration source are we using?
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}_diag1_[abc].cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_T -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}_diag1_[abc].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
+
+
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}_diag0_U.cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_U -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}_diag0_U.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_U.nc
+
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}_diag0_V.cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_V -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}_diag0_V.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_V.nc
+
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}_diag0_W.cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+#IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE_W -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}_diag0_W.cfg         ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_W.nc
+
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}_diag0_[defg].cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/OCE   -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}_diag0_[defg].cfg     ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_T.nc
+
+ls ${CARD_DIR}/POST/atlas_p_${RESOL_OCE}LIM_diag0_[abc].cfg 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/ICE   -l ${PATH_ATLAS}/atlas_p_${RESOL_OCE}LIM_diag0_[abc].cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1278)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1279)
@@ -141,7 +141,9 @@
 IGCM_sys_Get ${R_OUT_SRF}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc ${RUN_DIR}
 
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/SRF -l ${FER_ATLAS}/atlas_p_ORCHIDEE_diag1_*.cfg \
-                                       ${FER_ATLAS}/atlas_p_SECHIBA_diag1_*.cfg \
-                                       ${FER_ATLAS}/atlas_p_ORCHIDEE_diag2_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc
+ls ${CARD_DIR}/POST/ | egrep "atlas_p_(ORCHIDEE|SECHIBA).*\.cfg" 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/SRF -l ${PATH_ATLAS}/atlas_p_ORCHIDEE_diag1_*.cfg \
+                                       ${PATH_ATLAS}/atlas_p_SECHIBA_diag1_*.cfg \
+                                       ${PATH_ATLAS}/atlas_p_ORCHIDEE_diag2_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_sechiba_history.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1278)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1279)
@@ -142,8 +142,14 @@
 IGCM_sys_Get ${R_OUT_MBG}/Analyse/${DIR_OUT}/${config_UserChoices_JobName}_SE_${YEARS}_1M_diad_T.nc  ${RUN_DIR}
 
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_T -l ${FER_ATLAS}/atlas_p_PISCES_diag1_*.cfg  \
-                                        ${FER_ATLAS}/atlas_p_PISCES_diag0_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_ptrc_T.nc
-IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_F -l ${FER_ATLAS}/atlas_p_PISCES_diag2_a.cfg  \
-                                        ${FER_ATLAS}/atlas_p_PISCES_diag0_b.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_diad_T.nc
+
+ls ${CARD_DIR}/POST/atlas_p_PISCES_diag0_a.cfg 2>/dev/null 1>&2
+
+ls ${CARD_DIR}/POST/ | egrep "atlas_p_PISCES_(diag1|diag0_a).*\.cfg" 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_T -l ${PATH_ATLAS}/atlas_p_PISCES_diag1_*.cfg ${PATH_ATLAS}/atlas_p_PISCES_diag0_a.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_ptrc_T.nc
+
+ls ${CARD_DIR}/POST/ | egrep "atlas_p_PISCES_(diag2_a|diag0_b).*\.cfg" 2>/dev/null 1>&2
+[ ${?} -ne 0 ] && PATH_ATLAS=${FER_ATLAS} || PATH_ATLAS=${CARD_DIR}/POST
+IGCM_sys_atlas -o ${RUN_DIR}/${R_ATLAS}/MBG_F -l ${PATH_ATLAS}/atlas_p_PISCES_diag2_a.cfg ${PATH_ATLAS}/atlas_p_PISCES_diag0_b.cfg  ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_diad_T.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII