Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1285)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1286)
@@ -1180,4 +1180,20 @@
 
 #D-#==================================================
+#D-function IGCM_sys_projectAccounting
+#D-* Purpose: store project accounting information in a file
+#D-* Examples:
+#D-
+function IGCM_sys_projectAccounting {
+  IGCM_debug_PushStack "IGCM_sys_projectAccounting"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_check_quota"
+  fi
+
+  cpt > $1
+
+  IGCM_debug_PopStack "IGCM_sys_projectAccounting"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_getJobSchedulerID
 #D-* Purpose: Get the job ID during execution
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1285)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1286)
@@ -1171,4 +1171,20 @@
 
 #D-#==================================================
+#D-function IGCM_sys_projectAccounting
+#D-* Purpose: store project accounting information in a file
+#D-* Examples:
+#D-
+function IGCM_sys_projectAccounting {
+  IGCM_debug_PushStack "IGCM_sys_projectAccounting"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_check_quota"
+  fi
+
+  touch $1
+
+  IGCM_debug_PopStack "IGCM_sys_projectAccounting"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_getJobSchedulerID
 #D-* Purpose: Get the job ID during execution
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1285)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1286)
@@ -1564,4 +1564,20 @@
 
 #D-#==================================================
+#D-function IGCM_sys_projectAccounting
+#D-* Purpose: store project accounting information in a file
+#D-* Examples:
+#D-
+function IGCM_sys_projectAccounting {
+  IGCM_debug_PushStack "IGCM_sys_projectAccounting"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_check_quota"
+  fi
+
+  ccc_myproject > $1
+
+  IGCM_debug_PopStack "IGCM_sys_projectAccounting"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_getJobSchedulerID
 #D-* Purpose: Get the job ID during execution
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1285)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1286)
@@ -1126,4 +1126,20 @@
 
 #D-#==================================================
+#D-function IGCM_sys_projectAccounting
+#D-* Purpose: store project accounting information in a file
+#D-* Examples:
+#D-
+function IGCM_sys_projectAccounting {
+  IGCM_debug_PushStack "IGCM_sys_projectAccounting"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_check_quota"
+  fi
+
+  touch $1
+
+  IGCM_debug_PopStack "IGCM_sys_projectAccounting"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_getJobSchedulerID
 #D-* Purpose: Get the job ID during execution
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1285)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1286)
@@ -1145,4 +1145,20 @@
 
 #D-#==================================================
+#D-function IGCM_sys_projectAccounting
+#D-* Purpose: store project accounting information in a file
+#D-* Examples:
+#D-
+function IGCM_sys_projectAccounting {
+  IGCM_debug_PushStack "IGCM_sys_projectAccounting"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_check_quota"
+  fi
+
+  touch $1
+
+  IGCM_debug_PopStack "IGCM_sys_projectAccounting"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_getJobSchedulerID
 #D-* Purpose: Get the job ID during execution