Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1257)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1290)
@@ -141,5 +141,5 @@
 
 
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     #
     jLoop=${#ListDimension[*]}
@@ -173,28 +173,29 @@
 #             echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
 #           fi
-            echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-            echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-            echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-            echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-            echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-            echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-            echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-            echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-            echo "export RebuildFrequency=${RebuildFrequency}    " >> ${FunctionPath}
-            echo "export DateBegin=${DateBegin}                  " >> ${FunctionPath}
-            echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-            echo "export StandAlone=false                        " >> ${FunctionPath}
-            echo "export CompletedFlag=${CompletedFlag}          " >> ${FunctionPath}
-            echo "export TsTask=${TsTask}                        " >> ${FunctionPath}
-            echo "unset  CompToRead                              " >> ${FunctionPath}
-            echo "unset  FlagToRead                              " >> ${FunctionPath}
-            echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-            echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-            echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-            echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-            echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-            echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-            echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-            echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+            echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+            echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+            echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+            echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+            echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+            echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+            echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+            echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+            echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+            echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
+            echo "export DateBegin=${DateBegin}                            " >> ${FunctionPath}
+            echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+            echo "export StandAlone=false                                  " >> ${FunctionPath}
+            echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
+            echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
+            echo "unset  CompToRead                                        " >> ${FunctionPath}
+            echo "unset  FlagToRead                                        " >> ${FunctionPath}
+            echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+            echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+            echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+            echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+            echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+            echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+            echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+            echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #           if [ X${MASTER} = Xtitane ] ; then
 #             echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -212,4 +213,5 @@
                     export DEBUG_debug=${DEBUG_debug}
                     export BigBrother=${BigBrother}
+                    export postProcessingStopLevel=${postProcessingStopLevel}
                     export MODIPSL=${MODIPSL}
                     export libIGCM_SX=${libIGCM}
@@ -289,28 +291,29 @@
 #               echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
 #             fi
-              echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-              echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-              echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-              echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-              echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-              echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-              echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-              echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-              echo "export RebuildFrequency=${RebuildFrequency}    " >> ${FunctionPath}
-              echo "export DateBegin=${ChunckTsDateBegin}          " >> ${FunctionPath}
-              echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-              echo "export StandAlone=false                        " >> ${FunctionPath}
-              echo "export CompletedFlag=${CompletedFlag}          " >> ${FunctionPath}
-              echo "export TsTask=${TsTask}                        " >> ${FunctionPath}
-              echo "export CompToRead=${CompToRead}                " >> ${FunctionPath}
-              echo "export FlagToRead=${FlagToRead}                " >> ${FunctionPath}
-              echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-              echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-              echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-              echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-              echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-              echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-              echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-              echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+              echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+              echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+              echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+              echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+              echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+              echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+              echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+              echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+              echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+              echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
+              echo "export DateBegin=${ChunckTsDateBegin}                    " >> ${FunctionPath}
+              echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+              echo "export StandAlone=false                                  " >> ${FunctionPath}
+              echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
+              echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
+              echo "export CompToRead=${CompToRead}                          " >> ${FunctionPath}
+              echo "export FlagToRead=${FlagToRead}                          " >> ${FunctionPath}
+              echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+              echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+              echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+              echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+              echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+              echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+              echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+              echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #             if [ X${MASTER} = Xtitane ] ; then
 #               echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -328,4 +331,5 @@
                         export DEBUG_debug=${DEBUG_debug}
                         export BigBrother=${BigBrother}
+                        export postProcessingStopLevel=${postProcessingStopLevel}"
                         export MODIPSL=${MODIPSL}
                         export libIGCM_SX=${libIGCM}
@@ -377,5 +381,5 @@
     Script_Post_Output=create_se.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
 
     if ( [ ${RebuildFrequency} = true ] || [ ${PackFrequency} = true ] ) ; then
@@ -392,23 +396,24 @@
 #       echo "IGCM_sys_RshPost <<-EOF"                     >> ${FunctionPath}
 #     fi
-      echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-      echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-      echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-      echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-      echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-      echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-      echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-      echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-      echo "export DateBegin=${DateBegin}                  " >> ${FunctionPath}
-      echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-      echo "export StandAlone=false                        " >> ${FunctionPath}
-      echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-      echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-      echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-      echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-      echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-      echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-      echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-      echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+      echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+      echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+      echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+      echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+      echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+      echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+      echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+      echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+      echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+      echo "export DateBegin=${DateBegin}                            " >> ${FunctionPath}
+      echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+      echo "export StandAlone=false                                  " >> ${FunctionPath}
+      echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+      echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+      echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+      echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+      echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+      echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+      echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+      echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #     if [ X${MASTER} = Xtitane ] ; then
 #       echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -426,4 +431,5 @@
             export DEBUG_debug=${DEBUG_debug}
             export BigBrother=${BigBrother}
+            export postProcessingStopLevel=${postProcessingStopLevel}
             export MODIPSL=${MODIPSL}
             export libIGCM_SX=${libIGCM}
@@ -477,8 +483,9 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
     IGCM_sys_RshPost <<-EOF
     export DEBUG_debug=${DEBUG_debug}
     export BigBrother=${BigBrother}
+    export postProcessingStopLevel=${postProcessingStopLevel}
     export MODIPSL=${MODIPSL}
     export libIGCM_SX=${libIGCM}
@@ -509,4 +516,5 @@
       export DEBUG_debug=${DEBUG_debug}
       export BigBrother=${BigBrother}
+      export postProcessingStopLevel=${postProcessingStopLevel}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}
@@ -553,4 +561,5 @@
       echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
       echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       if [ X${MASTER} = Xtitane ] ; then
 #         echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -568,4 +577,5 @@
         export DEBUG_debug=${DEBUG_debug}
         export BigBrother=${BigBrother}
+        export postProcessingStopLevel=${postProcessingStopLevel}
         export MODIPSL=${MODIPSL}
         export libIGCM_SX=${libIGCM}
@@ -610,8 +620,9 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
       export BigBrother=${BigBrother}
+      export postProcessingStopLevel=${postProcessingStopLevel}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}